Uploaded image for project: 'Nutch'
  1. Nutch
  2. NUTCH-680

Update external jars to latest versions

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 1.0.0
    • Component/s: None
    • Labels:
      None

      Description

      This issue will be used to update external libraries nutch uses.

      These are the libraries that are outdated (upon a quick glance):

      nekohtml (1.9.9)
      lucene-highlighter (2.4.0)
      jdom (1.1)
      carrot2 - as mentioned in another issue
      jets3t - above
      icu4j (4.0.1)
      jakarta-oro (2.0.8)

      We should probably update tika to whatever the latest is as well before 1.0.

      Please add ones I missed in comments.

      Also what exactly is pmd-ext? There is an extra jakarta-oro and jaxen there.....

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                dogacan Dogacan Guney
                Reporter:
                dogacan Dogacan Guney
              • Votes:
                0 Vote for this issue
                Watchers:
                0 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: